#!/bin/sh
#  ---------------------------------------------------------------------------
#  JASMINe
#  Copyright (C) 2009 Bull S.A.S.
#  Contact: jasmine@ow2.org
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License, or any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#  USA
#  ---------------------------------------------------------------------------
#  $Id: install.sh 7300 2010-12-10 16:33:58Z jlegrand $
#  ---------------------------------------------------------------------------

export JONAS_ROOT=${JONAS_ROOT}
export JONAS_BASE=${INSTALL_PATH}

JMXCONNEXIONPOOL_DIR=${INSTALL_PATH}/JMX_connection_pool_adapter


# Verify if JONAS_BASE is well defined
if [ -z "$JONAS_BASE" ]; then
  if [ -z "$JONAS_ROOT" ]; then
    echo JONAS_BASE must be set.
    exit 1
  fi
  JONAS_BASE=$JONAS_ROOT
fi

cp $JMXCONNEXIONPOOL_DIR/generated/*.rar $JONAS_BASE/deploy
