@Echo off

Rem   ---------------------------------------------------------------------------
Rem   JASMINe
Rem   Copyright (C) 2009-2011 Bull S.A.S.
Rem   Contact: jasmine@ow2.org
Rem
Rem   This library is free software; you can redistribute it and/or
Rem   modify it under the terms of the GNU Lesser General Public
Rem   License as published by the Free Software Foundation; either
Rem   version 2.1 of the License, or any later version.
Rem
Rem   This library is distributed in the hope that it will be useful,
Rem   but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem   Lesser General Public License for more details.
Rem
Rem   You should have received a copy of the GNU Lesser General Public
Rem   License along with this library; if not, write to the Free Software
Rem   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem   USA
Rem   ---------------------------------------------------------------------------
Rem   $Id: jasmine.bat 7777 2011-03-01 09:28:39Z jlegrand $
Rem   ---------------------------------------------------------------------------

Rem Test JONAS_ROOT and JONAS_BASE

set JAVA_HOME=%{JAVA_HOME}

set JONAS_ROOT=%{JONAS_ROOT}
set JONAS_BASE=%{INSTALL_PATH}

if ["%{JONAS_ROOT}"]==[""] goto set_jonas_root
if ["%JONAS_BASE%"]==[""] goto set_jonas_base
goto :args

:set_jonas_root
  echo Check that JONAS_ROOT is set
goto :EOF

:set_jonas_base
set JONAS_BASE="%{JONAS_ROOT}"

Rem ---------------------------------------------
Rem Get args
Rem ---------------------------------------------
:args

set PATH=%{JONAS_ROOT}\bin;%PATH%

if [%1]==[]   goto no_arg
set ARGS=
:loop_on_args
set VALUE=%~1
if [%1]==[start]     goto start_arg
if [%1]==[stop]      goto stop_arg
set ARGS=%ARGS% %1
goto next_arg

:start_arg

jonas start -n jasmine-monitoring -Ddomain.name=jasmine -clean -bg -Djonas.felix.configuration.file=conf\config.properties -Dcom.sun.management.jmxremote
goto :EOF

:stop_arg
jonas stop -n jasmine-monitoring -Ddomain.name=jasmine
goto :EOF

:no_arg
echo No arguments specified.
goto usage

:usage
echo "jasmine start | stop"
